/*
 * COPYRIGHT (c) 2018 All rights reserved by HANWHA LIFE.
 */
package kr.co.zumo.app.lifeplus.view.command;

import kr.co.zumo.app.lifeplus.view.IView;
import kr.co.zumo.app.lifeplus.model.Model;
import kr.co.zumo.app.lifeplus.view.presenter.Presenter;

/**
 * Command
 * <pre>
 * </pre>
 *
 * @author 민효동
 * @version 1.0
 * @history 민효동   [2018. 9. 21.]   [최초 작성]
 * @since 2018. 9. 21.
 */
public abstract class Command<M extends Model, V extends IView, P extends Presenter> {
  public abstract void preExecute(M model, V view, P presenter);
  public abstract void execute(M model, V view, P presenter);
  public abstract void postExecute(M model, V view, P presenter);

  public abstract void dispose();
}
